Subject: Re: bug#25105: 26.0.50; diff navigation is broken

From: Dima Kogan <[email-masked]>
Date: Mon, 05 Dec 2016 07:38:43 -0800

[email-masked] writes:

> Mark Oteiza <[email-masked]> writes:
>
>> I am guessing this is a consequence of bug#17544. From -Q:
>
> Yes, probably.  There were some other problems pointed out at:
> http://lists.gnu.org/archive/html/emacs-devel/2016-11/msg00738.html

Hi. These are intentional. Justification:

When you're at the beginning of the buffer, you're logically already at
the first hunk. A justification of THIS is that if you try to apply the
hunk at point from beginning-of-buffer (C-c C-a) then the first hunk is
applied, and the point moves to the second hunk. This is the behavior
both before and after my changes.

I think the changes make diff-mode more consistent. If you disagree,
let's move the discussion to emacs-devel.

dima